        character*60 f1,f2
        logical logi
        if(iargc().lt.1)then
        write(*,*)
        write(*,*)'     Usage:  dis_find file.coo'
	write(*,*)
	write(*,*)'     use PGPLOT display result of j_find4k, 60316'
	write(*,*)
	stop
	endif
        call getarg(1,f1)
        k=index(f1,'.')
        if(k.eq.0)f1=f1(1:lnblnk(f1))//'.coo'
        inquire(file=f1,exist=logi)
        if(.not.logi)stop '.coo or .als file not found !'
        open(1,file=f1,status='old')
	call pgbegin(0,"/xw",1,1)
	call pgenv(1.,4096.,1.,4096.,1,1)
        do 19 i=1,3
19      read(1,'(a)')j
        do 29 i=1,n
        read(1,*,end=28)j,x,y
	call pgpoint(1,x,y,-1)
29      continue
28      m=i-1
        close(1)
	write(f2(1:),*)'all object: ',m
	call pglabel(f2,' ',f1)
	call pgend

	end
